/* eslint-disable no-undef */
import {extendInclude, extendRule, initFilter} from "../../utils/common";
import moment from 'moment';

/**
 * @return {string}
 */

export default {
  onChange: ({value,colInfo,login,dispatch,getFieldValue,setFieldValueByBatch,setFieldEditable}) => {
      if(colInfo.FIELD_NAME=='Nav_PdtOrder.PDT_CODE') {
        const pdtId= getFieldValue('PDT_ID');
        if(pdtId) {
          const json = initFilter(login.OrgId, pdtId, '', 0, 1);
          dispatch({
            type: 'pickingstock/getSizeMarking',
            payload: json,
            onComplete: (ret) => {
              if (ret) {
                const temps=[];
                temps.push({field:'A_SIZE',value: ret.A_SIZE});
                temps.push({field:'B_SIZE',value: ret.B_SIZE})
                setFieldValueByBatch(temps);
              }
            }
          })
        }
      }
  },
  onFetchAutoFilter:({colInfo,params,getFieldValue})=>{

  },
  onBeforeEdit:({isNew,getFieldValue,login,dispatch,setFieldValueByBatch,setFieldEditable})=>{
    if(isNew) {
      const json = initFilter(login.OrgId);
      json.Count = 1;
      json.CodeType = 3507

      dispatch({
        type: 'app/genSystemCode',
        payload: json,
        onComplete: (ret) => {
          if (ret) {
            const temps=[];
            temps.push({field:'CODE',value: ret});
            temps.push({field:'Nav_User.NAME',value: login.user.NAME});
            temps.push({field:'USER_ID',value:login.userId});
            temps.push({field:'PICKING_TIME',value:moment(new Date()).format('YYYY-MM-DD HH:mm:ss')});
            setFieldValueByBatch(temps);
          }
        }
      })
    }
  },
  onBeforeSave:({data,getFieldValue,setFieldValue})=>{
  },
  onBeforeSaveHandleRecord:({record,srcRecord})=>{
    if(srcRecord&&srcRecord.Nav_Inventorys){
      if(record){
        record.Nav_Inventorys=srcRecord.Nav_Inventorys;
      }
    }
  },


}
